// Author: Pete Kirkham
//
// quad store utils.
//
#ifndef _TRIPLE_TARGET_H_
#define _TRIPLE_TARGET_H_

class triple_target
{
public:
    enum field_type
    {
        type_uri,
        type_blank_node,
        type_literal
    };

    virtual void add_triple (const char* subject,   size_t subject_length,   field_type subject_type,
                             const char* predicate, size_t predicate_length, // always an uri
                             const char* object,    size_t object_length,    field_type object_type,
                             const char* graph,     size_t graph_length      // always an uri
                            ) = 0;
    
    virtual void flush () = 0;
};

#endif // _TRIPLE_TARGET_H_
